<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */



class DataMenuDemnaechst extends DataMenuKurse
{
  public function __construct($pUrlparam)
  {
    parent::__construct($pUrlparam);
    $this->dbwkurse->setOrderByValues($this->urlparameter, $this->sortierungWieFuerKurssuche($this->settings->sortkursedemn), $this->settings->sortkursedemnasc);
  }

  protected function getdataarraybodyBeforeDbHook()
  {
    if ($this->settings->demnaechstKennz != '') {
      $this->dbwkurse->fromobject->suche_kennzeichen = $this->settings->demnaechstKennz;
    }
  }
}